<?xml version="1.0" encoding="utf-8"?>
<AudioParam version="1.1">
	<ParamTree>
		<Param path="Ring_Alarm,RCV" param_id="2"/>
		<Param path="Ring_Alarm,HS" param_id="3"/>
		<Param path="Ring_Alarm,SPK" param_id="0"/>
		<Param path="Ring_Alarm,HSSPK" param_id="1"/>
		<Param path="Ring_Alarm,HS5POLE" param_id="4"/>
		<Param path="Ring_Alarm,HS5POLE_ANC" param_id="4"/>
		<Param path="Ring_Alarm,USB" param_id="3"/>
		<Param path="Ring_Alarm,HEARING_AID" param_id="5"/>

		<Param path="Others,RCV" param_id="2"/>
		<Param path="Others,HS" param_id="3"/>
		<Param path="Others,SPK" param_id="0"/>
		<Param path="Others,HSSPK" param_id="1"/>
		<Param path="Others,HS5POLE" param_id="4"/>
		<Param path="Others,HS5POLE_ANC" param_id="4"/>
		<Param path="Others,USB" param_id="3"/>
		<Param path="Others,HEARING_AID" param_id="5"/>

		<Param path="Notification,RCV" param_id="2"/>
		<Param path="Notification,HS" param_id="3"/>
		<Param path="Notification,SPK" param_id="0"/>
		<Param path="Notification,HSSPK" param_id="1"/>
		<Param path="Notification,HS5POLE" param_id="4"/>
		<Param path="Notification,HS5POLE_ANC" param_id="4"/>
		<Param path="Notification,USB" param_id="3"/>
		<Param path="Notification,HEARING_AID" param_id="5"/>

		<Param path="MMI1,Others,SPK" param_id="6"/>
    		<Param path="MMI1,Others,RCV" param_id="12"/>
    		<Param path="MMI1,Others,HS" param_id="10"/>
    		<Param path="AUDIOLOOP1,Others,SPK" param_id="17"/>
    		<Param path="AUDIOLOOP1,Others,RCV" param_id="14"/>
    		<Param path="Default,Others,HS" param_id="5"/>
    		<Param path="Default,Ring_Alarm,HSSPK" param_id="7"/>
    		<Param path="Default,Notification,HSSPK" param_id="8"/>

	</ParamTree>
	<ParamUnitPool>
		<ParamUnit param_id="0">
			<Param name="headset_pga" value="-1"/><!-- -1 means not available -->
			<Param name="speaker_pga" value="10"/>
			<Param name="receiver_pga" value="-1"/>
			<Param name="amp" value="0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0"/>
		</ParamUnit>
		<ParamUnit param_id="1">
			<Param name="headset_pga" value="12"/>
			<Param name="speaker_pga" value="10"/>
			<Param name="receiver_pga" value="-1"/>
			<Param name="amp" value="0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0"/>
		</ParamUnit>
		<ParamUnit param_id="3">
			<Param name="headset_pga" value="9"/>
			<Param name="speaker_pga" value="-1"/>
			<Param name="receiver_pga" value="-1"/>
			<Param name="amp" value="0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0"/>
		</ParamUnit>
		<ParamUnit param_id="17">
      			<Param name="headset_pga" value="-1"/>
      			<Param name="speaker_pga" value="13"/>
      			<Param name="receiver_pga" value="-1"/>
      			<Param name="amp" value="0,0,0,0,0,0,0,0,0,0"/>
    		</ParamUnit>
    		<ParamUnit param_id="14">
      			<Param name="headset_pga" value="-1"/>
      			<Param name="speaker_pga" value="4"/>
      			<Param name="receiver_pga" value="0"/>
      			<Param name="amp" value="0,0,0,0,0,0,0,0,0,0"/>
    		</ParamUnit>
		<ParamUnit param_id="2">
			<Param name="headset_pga" value="-1"/>
			<Param name="speaker_pga" value="4"/>
			<Param name="receiver_pga" value="8"/>
			<Param name="amp" value="0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0"/>
		</ParamUnit>
		<ParamUnit param_id="4">
			<Param name="headset_pga" value="6"/>
			<Param name="speaker_pga" value="-1"/>
			<Param name="receiver_pga" value="-1"/>
			<Param name="amp" value="0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0"/>
		</ParamUnit>
    		<ParamUnit param_id="6">
      			<Param name="headset_pga" value="-1"/>
      			<Param name="speaker_pga" value="18"/>
      			<Param name="receiver_pga" value="18"/>
      			<Param name="amp" value="0,0,0,0,0,0,0,0,0,0"/>
    		</ParamUnit>
    		<ParamUnit param_id="10">
      			<Param name="headset_pga" value="0"/>
      			<Param name="speaker_pga" value="-1"/>
      			<Param name="receiver_pga" value="-1"/>
      			<Param name="amp" value="0,0,0,0,0,0,0,0,0,0"/>
    		</ParamUnit>
    		<ParamUnit param_id="12">
      			<Param name="headset_pga" value="-1"/>
      			<Param name="speaker_pga" value="0"/>
      			<Param name="receiver_pga" value="4"/>
      			<Param name="amp" value="0,0,0,0,0,0,0,0,0,0"/>
    		</ParamUnit>
		<ParamUnit param_id="5">
			<Param name="headset_pga" value="-1"/>
			<Param name="speaker_pga" value="-1"/>
			<Param name="receiver_pga" value="-1"/>
			<Param name="amp" value="0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0,0x0"/>
		</ParamUnit>
		<ParamUnit param_id="7">
      			<Param name="headset_pga" value="18"/>
      			<Param name="speaker_pga" value="10"/>
      			<Param name="receiver_pga" value="-1"/>
      			<Param name="amp" value="0,0,0,0,0,0,0,0,0,0"/>
    		</ParamUnit>
    		<ParamUnit param_id="8">
      			<Param name="headset_pga" value="5"/>
      			<Param name="speaker_pga" value="10"/>
      			<Param name="receiver_pga" value="-1"/>
      			<Param name="amp" value="0,0,0,0,0,0,0,0,0,0"/>
    		</ParamUnit>
	</ParamUnitPool>
</AudioParam>
